# $Id: imp-h3.spec,v 1.10 2009/10/14 02:24:38 mrjhb3 Exp $

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The Internet Messaging Program: webmail access to IMAP/POP3 accounts.
Name: imp-h3
Version: 4.3.5
Release: 1%{?dist}
License: GPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/imp/tarballs/imp-h3-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/imp-root
Requires: php >= 4.3.0
Requires: php-imap >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.3
Obsoletes: imp
Provides: imp
Prereq: /usr/bin/perl

%description
IMP is the Internet Messaging Program, one of the Horde applications.
It provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with IMP)
please visit http://www.horde.org/.

This package contains customizations for the Mitel Networks SME Server
and will probably not work properly on other Linux systems.

%prep
%setup -q -n %{name}-%{version}
#%setup -q -n imp-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/imp
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/imp
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/imp/config
for d in *.dist; do
    d0=`basename $d .dist`
    if [ ! -f "$d0" ]; then
        cp -p $d $d0
    fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache imp.conf file
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/imp
# Include top-level files by hand
%{contentdir}/html/horde/imp/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/imp/js
%{contentdir}/html/horde/imp/lib
%{contentdir}/html/horde/imp/locale
%{contentdir}/html/horde/imp/po
%{contentdir}/html/horde/imp/scripts
%{contentdir}/html/horde/imp/templates
%{contentdir}/html/horde/imp/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/imp/COPYING
%doc %{contentdir}/html/horde/imp/README
%docdir %{contentdir}/html/horde/imp/docs
%{contentdir}/html/horde/imp/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/imp/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/imp/config/.htaccess
%{contentdir}/html/horde/imp/config/*.dist
%config %{contentdir}/html/horde/imp/config/*.php
%config %{contentdir}/html/horde/imp/config/*.txt
%config %{contentdir}/html/horde/imp/config/*.xml

%changelog
* Tue Sep 22 2009 John H. Bennett III <bennettj@johnbennettservices.com> 4.3.5-1
- Updated to Imp 4.3.5 [SME: 5510]

* Sun Jun 21 2009 John H. Bennett III <bennettj@johnbennettservices.com> 4.3.4-1
- Updated to Imp 4.3.4 [SME: 5371]

* Sat Feb 21 2009 John H. Bennett III <bennettj@johnbennettservices.com> 4.3.3-1
- Updated to Imp 4.3.3 [SME: 4832]

* Fri Jan 2 2009 John H. Bennett III <bennettj@johnbennettservices.com> 4.3.2-1
- Updated to Imp 4.3.2 [SME: 4832]

* Sat Dec 06 2008 John H. Bennett III <bennettj@johnbennettservices.com> 4.3-1   
- Updated to Imp 4.3 [SME: 4832]

* Mon Jun 23 2008 John H. Bennett III <bennettj@johnbennettservices.com> 4.2-1
- Re-rolled to released version

* Mon Jun 2 2008 John H. Bennett III <bennettj@johnbennettservices.com> 4.2-01
- initial RPM roll for Imp 4.2

